CrispoManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.CrispoManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class CrispoManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.common.server.session.CrispoManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class CrispoManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

The CRISPO (Config Response Is Sweetly Persisted ... Oy!) Manager deals with storing configuration data typically associated with `ConfigResponse` objects;

See Also:
  Serialized Form

Constructor Summary
`CrispoManagerEJBImpl()`

Method Summary
`Crispo` | `create(ConfigResponse cfg)` Create a new Crispo, filled out with the values from a `ConfigResponse`
`Crispo` | `createCrispo(java.util.Map keyVals)` Create a new `Crispo` from a `Map` of `String` key/value pairs
`void` | `deleteCrispo(Crispo c)` Delete a `Crispo` and all the options contained within.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.Collection` | `findAll()`
`Crispo` | `findById(java.lang.Integer id)`
`java.util.List` | `findOptionByKey(java.lang.String key)` Find a List of CrispoOptions given the search key.
`java.util.List` | `findOptionByValue(java.lang.String val)` Find a List of CrispoOptions given the search value.
`static org.hyperic.hq.common.shared.CrispoManagerLocal` | `getOne()`
`void` | `setSessionContext(javax.ejb.SessionContext c)`
`void` | `update(Crispo c, ConfigResponse cfg)` Update a crispo, matching the saved crispo to the values in the config repsonse.
`void` | `updateOption(CrispoOption o, java.lang.String val)` Update the given CrispoOption with the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrispoManagerEJBImpl

    public CrispoManagerEJBImpl()

Method Detail

### createCrispo

    public Crispo createCrispo(java.util.Map keyVals)

  Create a new `Crispo` from a `Map` of `String` key/value pairs

### findAll

    public java.util.Collection findAll()

  Returns:
    all the `Crispo`s in the system

### findById

    public Crispo findById(java.lang.Integer id)

### deleteCrispo

    public void deleteCrispo(Crispo c)

  Delete a `Crispo` and all the options contained within.

### create

    public Crispo create(ConfigResponse cfg)

  Create a new Crispo, filled out with the values from a `ConfigResponse`

### update

    public void update(Crispo c,
                       ConfigResponse cfg)

  Update a crispo, matching the saved crispo to the values in the config repsonse.

### findOptionByKey

    public java.util.List findOptionByKey(java.lang.String key)

  Find a List of CrispoOptions given the search key.

  Parameters:
    `key` - The key to search for
  Returns:
    A list of CrispoOptions that have a key that matches in whole or part the given key parameter.

### findOptionByValue

    public java.util.List findOptionByValue(java.lang.String val)

  Find a List of CrispoOptions given the search value.

  Parameters:
    `val` - The value to search for
  Returns:
    A list of CrispoOptions that have a value (in the array) that matches

### updateOption

    public void updateOption(CrispoOption o,
                             java.lang.String val)

  Update the given CrispoOption with the given value.

  Parameters:
    `o` - The CrispoOption to update
    `val` - The new value for this option

### getOne

    public static org.hyperic.hq.common.shared.CrispoManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext c)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.